"""
ASGI entrypoint. Configures Django and then runs the application
defined in the ASGI_APPLICATION setting.
"""

import os
import django
from channels.routing import get_default_application
from sentry_sdk.integrations.asgi import SentryAsgiMiddleware

os.environ.setdefault("DJANGO_SETTINGS_MODULE", "arkindex.project.settings")
os.environ['ALL_CHECKS'] = 'true'
django.setup()

# Enable sentry middleware, no integration is available when running ASGI
application = SentryAsgiMiddleware(get_default_application())
