from channels.auth import AuthMiddlewareStack
from channels.routing import ProtocolTypeRouter, URLRouter, ChannelNameRouter
from channels.security.websocket import AllowedHostsOriginValidator
from arkindex.project.triggers import REINDEX_CHANNEL, ML_RESULTS_CHANNEL, CORPUS_CHANNEL, IMAGES_CHANNEL
from arkindex.documents.consumers import ReindexConsumer, MLResultsConsumer, CorpusConsumer
from arkindex.images.consumers import ImagesConsumer

application = ProtocolTypeRouter({
    'websocket': AllowedHostsOriginValidator(
        AuthMiddlewareStack(
            URLRouter([
            ]),
        ),
    ),
    'channel': ChannelNameRouter({
        REINDEX_CHANNEL: ReindexConsumer,
        ML_RESULTS_CHANNEL: MLResultsConsumer,
        CORPUS_CHANNEL: CorpusConsumer,
        IMAGES_CHANNEL: ImagesConsumer,
    })
})
